/* Version: 1.0.1
 * Copyright (c) 2013 by Laser-Lance Fordham <Lance.Fordham@gmail.com>
 * DAC57X4.ino - Library for the Analog Devices Inc. AD5724/AD5734/AD5754 Quad precision [12/14/16-bit] Digital to Analog Converters.
 *
 * This file is free software; you can redistribute it and/or modify
 * it under the terms of either the GNU General Public License version 2
 * or the GNU Lesser General Public License version 2.1, both as
 * published by the Free Software Foundation.
 */
#include <SPI.h> //MUST include the SPI library or this won't work.
#include <DAC57X4.h> //MUST include this library or this will not work.

DAC57X4 DAC(2,1); //Setup the DACs as DAC(NumberOfDACSYouAreUsing,VoltageSelection);
/*
     Because in this example I'm only using two DACs, I initialize the DAC object with two and select the desired
     voltage range.
     
     Voltage selections are:
     
          1 = 0-5V
          2 = 0-10V
          3 = 0-10.8V
          4 = -5-5V
          5 = -10-10V
          6 = -10.8-10.8V
*/

void setup(){
     
  //Does my hair look okay?
  
}

void loop(){

     /*
     
          When you want to set the voltage of the dac, simply do so as: DAC.SetDAC(Voltage,DACNumber). Where voltage is within the range you have selected during the DAC setup
          and DACNumber is one of four channels.
          Note: A DACNumber of 5 will set all dac values to the value you have entered.
          
     */
     
      DAC.SetDAC(2.2,1);  
      DAC.SetDAC(1.8,2);
      
      //DAC.ClearDACs();  //Sets the DAC registers to the clear code and updates the outputs.
         
}
